Subject: RE: Internet draft for Qualified Certificates.

From: Stefan Santesson <[email-masked]>
Date: Wed, 28 Oct 1998 17:04:40 +0100

Anders,

An unmistakable name doesn't have to be static. It is unmitakable as long
as the relying party can use the name to identiy the subject for as long as
the certificate is valid and not revoked.

It is at this moment outside the scope of this I-D to make any requirements
on how static a name should be. This is up to the CA to decide and up to
the relying party to accept.

/Stefan

At 04:17 PM 10/28/98 +0100, Anders Rundgren wrote:
>--- Message on the SEIS mailing list ([email-masked])
>
>Stefan, I still have some serious problems with the definitions and
interpretations.
>
>>>How does a certificate-relying party know what fields form
>>>an unmistakable name of the subject?
>>>
>>>Unmistakable is different from static identity I guess?
>>>
>>>Anders
>
>>An unmistakable name of the subject SHALL be obtained by combining the
value of the subjects 
>>registered name attributes or pseudonym attributes, with the values of
the following attribute 
>>types;
>>countryName
>>civicRegistrationNumber
>>serialNumber
>>organizationName
>>organizationalUnitName
>>postalAddress
>
>To me a Swedish EID forms an unmistakable subject identity (99.999%) by just
>using civicRegistrationNumber.
>
>By using the other (non-static) attributes you loose unmistakable.  You
just have to change
>employer to break it! 
>
>I would also like to see the *static* identity possibility covered by the
draft.  I.e. it should
>be clear for a certificate-relaying party if is unmistakable in the way
you use that
>word in other contexts.
>
>Anders
>
>
>
>----------------- SEIS mailing list ([email-masked])
>Info about this list: http://www.nc-forum.com/seis
>SEIS Contact: [email-masked]
>
>
>
-------------------------------------------------------------------
Stefan Santesson                <[email-masked]>
Accurata Systemsäkerhet AB     
Lotsgatan 27 D                  Tel. +46-40 152211              
216 42  Malmö                   Fax. +46-40 150790              
Sweden                        Mobile +46-70 5247799

PGP fingerprint: 89BC 6C79 5B3D 591B 8547  1512 7D11 DBF4 528F 29A0
-------------------------------------------------------------------